# atom-i18n

[![apm-download-count][apm-download-count]][apm-download-link]
[![contributor-count][contributor-count]][contributors]
[![contribute-welcome-badge][contribute-welcome-badge]][contributing.md]
[![issues-count][issues-count]][issues]

[![latest version][latest-version]][apm-download-link]
[![Build Status][ci-status]][ci-link]
[![Renovate enabled][renovate-badge]][renovate-link]
[![dependency status][dep-status]][pkg-json]
[![license][license-badge]][license]

Localize [Atom][atom] :atom: for your locale.

One i18n package for Any language. :earth_asia: :earth_americas: :earth_africa:

Community-driven translation. :family:

![demo-es][demo-es]

![demo-tw][demo-tw]

![demo-de][demo-de]

![demo-ko][demo-ko]

## Language Support

| Language             |  code   | status                                           |
| -------------------- | :-----: | :----------------------------------------------- |
| Arabic               |  `ar`   | :white_check_mark: 100%                          |
| Belarusian           |  `be`   | :white_check_mark: 100%                          |
| Czech                |  `cs`   | :warning: 40% [I can translate][cs-issue-filter] |
| German               |  `de`   | :warning: 99% [I can translate][de-issue-filter] |
| Esperanto            |  `eo`   | :warning: 5% [I can translate][eo-issue-filter]  |
| Spanish              |  `es`   | :white_check_mark: 100%                          |
| Persian              |  `fa`   | :white_check_mark: 100%                          |
| Finnish              |  `fi`   | :white_check_mark: 100%                          |
| French               |  `fr`   | :white_check_mark: 100%                          |
| Hebrew               |  `he`   | :white_check_mark: 100%                          |
| Hindi                |  `hi`   | :white_check_mark: 100%                          |
| Hungarian            |  `hu`   | :white_check_mark: 100%                          |
| Italian              |  `it`   | :white_check_mark: 100%                          |
| Japanese             |  `ja`   | :white_check_mark: 100%                          |
| Kannada              |  `kn`   | :white_check_mark: 100%                          |
| Korean               |  `ko`   | :white_check_mark: 100%                          |
| Malay                |  `ms`   | :warning: 60% [I can translate][ms-issue-filter] |
| Dutch                |  `nl`   | :warning: 80% [I can translate][nl-issue-filter] |
| Polish               |  `pl`   | :white_check_mark: 100%                          |
| Portuguese(Brazil)   | `pt-br` | :white_check_mark: 100%                          |
| Romanian             |  `ro`   | :white_check_mark: 100%                          |
| Russian              |  `ru`   | :warning: 99% [I can translate][ru-issue-filter] |
| Slovak               |  `sk`   | :warning: 40% [I can translate][sk-issue-filter] |
| Albanian             |  `sq`   | :white_check_mark: 100%                          |
| Thai                 |  `th`   | :warning: 80% [I can translate][th-issue-filter] |
| Ukrainian            |  `uk`   | :white_check_mark: 100%                          |
| Chinese(Simplified)  | `zh-cn` | :white_check_mark: 100%                          |
| Chinese(Traditional) | `zh-tw` | :white_check_mark: 100%                          |

Welcome to 📣. [Propose new translation for your locale][create issue]

## Who can Contribute?

- _Anyone_ is welcomed to contribute. _Any language_ is welcomed.

## How to Contribute?

- You may checkout some [help-wanted issues][help-wanted issues].
- For detailed guidance please refer to [CONTRIBUTING.md][contributing.md].

## Thanks to Contributors

- Chinese (Traditional): [WinstonSung](//github.com/WinstonSung)
- Chinese (Simplified): [trifirew](//github.com/trifirew)
- Korean: [preco21](//github.com/preco21)
  [chibichichi](//github.com/chibichichi) [Riyeon](//github.com/Riyeon)
  [nerhis](//github.com/nerhis) [jonghyeok](//github.com/jonghyeok)
- Spanish: [stsewd](//github.com/stsewd)
- German: [Acer54](//github.com/Acer54) [queenar](//github.com/queenar)
  [Tz3r0](//github.com/Tz3r0) [silas229](//github.com/silas229)
  [polynoman](https://github.com/polynoman) [Henry2o1o](//github.com/Henry2o1o)
  [socialmedialabs](//github.com/socialmedialabs)
- Russian: [Anonym0uz](//github.com/Anonym0uz)
  [Driglu4it](//github.com/Driglu4it) [sabinich](//github.com/sabinich)
  [Dr-Yukon](//github.com/Dr-Yukon) [pleshkovpa](//github.com/pleshkovpa)
  [Glazami](//github.com/Glazami)
- Portuguese (Brazilian): [jsolisu](//github.com/jsolisu)
  [rclenzi](//github.com/rclenzi) [thiagomneves](//github.com/thiagomneves)
  [joaopaulonsoares](//github.com/joaopaulonsoares)
  [adriel83](//github.com/adriel83) [GabrielBdeC](//github.com/GabrielBdeC)
- Dutch: [laurensbrand](//github.com/laurensbrand)
- Polish: [Jeplaa](//github.com/Jeplaa)
- French: [chezyann](//github.com/chezyann) [Vivalzar](//github.com/Vivalzar)
  [DThought](//github.com/DThought) [lamboley](//github.com/lamboley)
- Polish: [nolt](//github.com/nolt)
- Italian: [francematt](//github.com/francematt)
  [Lorenzo Ancora](//github.com/LorenzoAncora)
- Thai: [sitdh](//github.com/sitdh)
- Japanese: [shingo-uzuki](//github.com/shingo-uzuki)
  [Umoxfo](//github.com/Umoxfo) [ibuki2003](//github.com/ibuki2003)
  [juggernautjp](//github.com/juggernautjp)
- Hungarian: [dominicus-75](//github.com/dominicus-75)
- Finnish: [an7oine](//github.com/an7oine)
- Arabic: [AmrIKhudair](//github.com/AmrIKhudair) [atefBB](//github.com/atefBB)
- Belarusian: [antikruk](//github.com/antikruk)
- Czech: [Heroyt](//github.com/Heroyt) [pervoj](//github.com/pervoj)
- Albanian: [ujdhesa](//github.com/ujdhesa)
- Esperanto: [p2635](//github.com/p2635)
- Ukrainian: [sashaoli](//github.com/sashaoli)
- Hebrew: [RealA10N](//github.com/RealA10N)
- Slovak: [majko96](//github.com/majko96)
- Kannada: [sachinsshetty](//github.com/sachinsshetty)
- Hindi: [themakerman](//github.com/themakerman)
  [ankitbulchandani](//github.com/ankitbulchandani)
- Persian [abilogos](//github.com/abilogos)
- Romanian [tiberiufrat](//github.com/tiberiufrat)
- Malay [Thaza-Kun](//github.com/Thaza-Kun)

## Reference

- this repo is based on [atom-japanese-menu](//atom.io/packages/japanese-menu)
  by [syon](//atom.io/users/syon) and
  [atom-cht-menu](//atom.io/packages/cht-menu) by
  [Sheng-Bo](//atom.io/users/Sheng-Bo)

## Project Structure

- `def/` is directory containing translation content

  - content is grouped by locale folder

- `lib/` is about translation operations

  - contains `main.js` which is entry point
  - 5 parts require translation:
    - menus in the top
    - context-menu when right clicked
    - settings page
    - about page
    - welcome page

- `package.json` contains package metadata

  - key `configSchema` defines supported languages

- `spec/` contains scripts checking cson files inside `def/`

<!-- basic links -->

[apm-download-count]:
  https://img.shields.io/apm/dm/atom-i18n.svg
  'apm-download-count'
[apm-download-link]: https://atom.io/packages/atom-i18n 'apm-download-link'
[contributor-count]:
  https://img.shields.io/github/contributors/liuderchi/atom-i18n.svg
  'contributor-count'
[contributors]:
  https://github.com/liuderchi/atom-i18n#thanks-to-contributors
  'contributors'
[contribute-welcome-badge]:
  https://camo.githubusercontent.com/9c8a9bb0456c3bff0d34d8ea66071420f1ab2c44/68747470733a2f2f696d672e736869656c64732e696f2f62616467652f436f6e747269627574696f6e732d77656c636f6d652d626c75652e737667
  'welcome-badge'
[contributing.md]:
  https://github.com/liuderchi/atom-i18n/blob/main/CONTRIBUTING.md
  'CONTRIBUTING.md'
[issues-count]:
  https://img.shields.io/github/issues/liuderchi/atom-i18n.svg
  'issues-count'
[issues]: https://github.com/liuderchi/atom-i18n/issues 'issues'
[latest-version]:
  https://img.shields.io/apm/v/atom-i18n?label=latest
  'latest-version'
[ci-status]:
  https://github.com/liuderchi/atom-i18n/actions/workflows/validate.yml/badge.svg
  'ci-status'
[ci-link]: https://github.com/liuderchi/atom-i18n/actions 'ci-link'
[renovate-badge]:
  https://img.shields.io/badge/renovate-enabled-brightgreen.svg
  'renovate-badge'
[renovate-link]: https://renovateapp.com
[dep-status]:
  https://img.shields.io/librariesio/github/liuderchi/atom-i18n
  'dep-status'
[pkg-json]:
  https://github.com/liuderchi/atom-i18n/blob/main/package.json
  'pkg-json'
[license-badge]:
  https://img.shields.io/github/license/liuderchi/atom-i18n.svg
  'license-badge'
[license]: http://liuderchi.mit-license.org/ 'license'

<!-- atom links -->

[atom]: https://atom.io/ 'atom'
[demo-es]:
  https://cloud.githubusercontent.com/assets/4994705/23652503/36826bd6-0364-11e7-9683-43cdcc2aae88.png
  'demo-es'
[demo-tw]:
  https://cloud.githubusercontent.com/assets/4994705/23652298/5123f294-0363-11e7-8f8f-e9c83f19710e.png
  'demo-tw'
[demo-de]:
  https://cloud.githubusercontent.com/assets/4994705/23652305/57d92cf8-0363-11e7-8895-85b0d5d394f9.png
  'demo-de'
[demo-ko]:
  https://cloud.githubusercontent.com/assets/4994705/23652303/54ee6fd0-0363-11e7-9b34-da9e23181be7.png
  'demo-ko'

<!-- gh links -->

[ar-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20ar%22
  'ar-issue-filter'
[be-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20be%22
  'be-issue-filter'
[cs-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20cs%22
  'cs-issue-filter'
[de-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20de%22
  'de-issue-filter'
[eo-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20eo%22
  'eo-issue-filter'
[es-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20es%22
  'es-issue-filter'
[fa-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20fa%22
  'fa-issue-filter'
[fi-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20fi%22
  'fi-issue-filter'
[fr-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20fr%22
  'fr-issue-filter'
[he-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20he%22
  'he-issue-filter'
[hi-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20hi%22
  'hi-issue-filter'
[hu-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20hu%22
  'hu-issue-filter'
[it-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20it%22
  'it-issue-filter'
[ja-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20ja%22
  'ja-issue-filter'
[kn-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20kn%22
  'kn-issue-filter'
[ko-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20ko%22
  'ko-issue-filter'
[ms-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20ms%22
  'ms-issue-filter'
[nl-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20nl%22
  'nl-issue-filter'
[pl-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20pl%22
  'pl-issue-filter'
[pt-br-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20pt-br%22
  'pt-br-issue-filter'
[ro-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20ro%22
  'ro-issue-filter'
[ru-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20ru%22
  'ru-issue-filter'
[sk-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20sk%22
  'sk-issue-filter'
[sq-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20sq%22
  'sq-issue-filter'
[th-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20th%22
  'th-issue-filter'
[uk-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20uk%22
  'uk-issue-filter'
[zh-cn-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20zh-cn%22
  'zh-cn-issue-filter'
[zh-tw-issue-filter]:
  https://github.com/liuderchi/atom-i18n/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22help%20wanted%22%20label%3A%22i18n%20zh-tw%22
  'zh-tw-issue-filter'
[create issue]: https://github.com/liuderchi/atom-i18n/issues/new 'Create Issue'
[help-wanted issues]:
  https://github.com/liuderchi/atom-i18n/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22
